"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#DelayTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression'
!


!DelayTest methodsFor:'tests'!

test1
    |n|

    [
        n := 0.
        [n < 10] whileTrue:[
           Delay waitForSeconds:0.1.
           Transcript showCR:n.
           n := n + 1.
        ]
    ] forkAt:(Processor activePriority - 1).

    self assert:(n == nil).

    Delay waitForSeconds:0.1.

    self assert:(n == 0).

    Delay waitForSeconds:1.5.

    self assert:(n == 10).

    "
     self basicNew test1
    "
!

test2
    |n|

    [
        n := 0.
        [n < 10] whileTrue:[
           Delay waitForSeconds:0.1.
           Transcript showCR:n.
           n := n + 1.
        ]
    ] forkAt:(Processor activePriority + 1).

    self assert:(n == 0).
    Delay waitForSeconds:1.1.
    self assert:(n == 10).

    "
     self basicNew test2
    "
! !

!DelayTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
